
#ifndef __MISC_C__
#define __MISC_C__

#include "type.h"

extern void Display_8BitHex(UINT16 x,UINT16 y,UINT8 data,UINT16 fgColor,UINT16 bgColor);
extern void Display_16BitHex(UINT16 x,UINT16 y,UINT16 data,UINT16 fgColor,UINT16 bgColor);
extern void Display_32BitHex(UINT16 x,UINT16 y,UINT32 data,UINT16 fgColor,UINT16 bgColor);
extern void Display_8BitDec(UINT16 x,UINT16 y,UINT8 data,UINT16 fgColor,UINT16 bgColor);
extern void Display_16BitDec(UINT16 x,UINT16 y,UINT16 data,UINT16 fgColor,UINT16 bgColor);
extern void Display_32BitDec(UINT16 x,UINT16 y,UINT32 data,UINT16 fgColor,UINT16 bgColor);

extern void LCDAlternatePin_Switch(void);

#endif